> ## Documentation Index
> Fetch the complete documentation index at: https://docs.awazindia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Upload Segment's Contacts 

> Bulk upload segment's contacts

You can download sample file [Here](https://app-dev.precallai.com/assets/SampleAudienceList.csv)

"In the API request body, you need to include the file path prefixed with <strong>file=@</strong>, like this:"

Example: `file=@"C:\Users\xyz\Downloads\SampleAudienceList.csv"`


## OpenAPI

````yaml POST /segment/contact/bulk-upload?id={id}
openapi: 3.1.0
info:
  title: AwazIndia API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.awazindia.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /segment/contact/bulk-upload?id={id}:
    post:
      description: Bulk upload segment's contacts
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the segment to get contacts
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: The file to upload.
              required:
                - file
        required: true
      responses:
        '200':
          description: Contact audiences response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: File uploaded successfully.
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````